List all key-value pairs
GET
/v1/sessions/{session_id}/storage/keys
const url = 'https://app.everruns.com/api/v1/sessions/example/storage/keys';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.everruns.com/api/v1/sessions/example/storage/keysParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” session_id
required
string
Session ID
Responses
Section titled “ Responses ”List of key-value pairs
Media type application/json
Response wrapper for list endpoints.
All list endpoints return responses wrapped in a data field.
object
data
required
Array of items returned by the list operation.
Array<object>
Key-value entry info (key and timestamps, no value)
object
created_at
required
When the key was created
string
key
required
The key name
string
updated_at
required
When the key was last updated
string
value
required
The stored value
string
Example generated
{ "data": [ { "created_at": "example", "key": "example", "updated_at": "example", "value": "example" } ]}Session not found
Internal server error